Subject: bug#29565: [PATCH] Support xwidget webkit for macOS X

From: Alan Third <[email-masked]>
Date: Tue, 11 Aug 2020 22:18:20 +0200 (CEST)

On Tue, Aug 11, 2020 at 09:58:58PM +0200, Lars Ingebrigtsen wrote:
> Alan Third <[email-masked]> writes:
> 
> > On Tue, Aug 11, 2020 at 06:26:45PM +0200, Lars Ingebrigtsen wrote:
> >> 
> >> And...  I'm unable to test this on Macos, because Homebrew doesn't offer
> >> webkitgtk, apparently.
> >
> > It shouldn't need webkitgtk, the webkit it uses comes with the macOS
> > dev tools.
> 
> Hm...  ./configure says
> 
> checking for webkit2gtk-4.0 >= 2.12... no
> configure: error: xwidgets requested but WebKitGTK+ or WebKit framework not found.

Is it building against Cocoa or GTK?

I don't know if you maybe need to be explicit?

    ./configure --with-ns --with-xwidgets

BTW, there's a branch on savannah, scratch/nsxwidgets, that definitely
built at the time, but I suspect it's been superseded by that last
patch from Jo Sungbin.
-- 
Alan Third